    One-dimensional normalized Lorentz model function.

lorentz1d
>>> create_model_component("lorentz1d", "mdl")
>>> print(mdl)

Create a component of the lorentz1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 10 0 3.40282e+38 mdl.pos thawed 1 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The full-width half maximum of the line.
pos
The center of the line.
ampl
The amplitude refers to the integral of the model.

Notes

The functional form of the model for points is:

f(x) = ampl * fwhm -------------------------------------- 2 * pi * (0.25 * fwhm^2 + (x - pos)^2)

and for an integrated grid it is the integral of this over the bin.

The area under the function as defined above is 1 if ampl is 1.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023